# TdApi.PremiumFeature (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: PremiumFeature

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PremiumFeature

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PremiumFeature

Direct Known Subclasses:
  `TdApi.PremiumFeatureAdvancedChatManagement`, `TdApi.PremiumFeatureAnimatedProfilePhoto`, `TdApi.PremiumFeatureAppIcons`, `TdApi.PremiumFeatureCustomEmoji`, `TdApi.PremiumFeatureDisabledAds`, `TdApi.PremiumFeatureEmojiStatus`, `TdApi.PremiumFeatureForumTopicIcon`, `TdApi.PremiumFeatureImprovedDownloadSpeed`, `TdApi.PremiumFeatureIncreasedLimits`, `TdApi.PremiumFeatureIncreasedUploadFileSize`, `TdApi.PremiumFeatureProfileBadge`, `TdApi.PremiumFeatureRealTimeChatTranslation`, `TdApi.PremiumFeatureUniqueReactions`, `TdApi.PremiumFeatureUniqueStickers`, `TdApi.PremiumFeatureVoiceRecognition`

Enclosing class:
  TdApi

public abstract static class TdApi.PremiumFeature extends TdApi.Object
This class is an abstract base class.

## Constructor Summary

Constructors
Constructor
Description
`PremiumFeature()`

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PremiumFeature

public PremiumFeature()